Subject: Re: problem with lilypond-profile.sh
From: Jan Nieuwenhuizen <[email-masked]>
To: [email-masked]
Date: Mon, 13 Oct 2003 19:09:22 +0200

> if I just missed something.
>
> You have to quote arguments inside [ ] or bad things(tm) happen.
AFAIK, that's only if you test something that can evaluate to empty,
eg:
    $ test $FOO = "bar"
    -bash: test: =: unary operator expected
    $ test "$FOO" = "bar"
> In particular, without the below patch, rxvt is unable to run
> /bin/sh as a login shell and flashes a warning on the screen.
Strange, are you sure that the script gets sourced?  That's what the
test you changed is for, we had too many bugreports from people that
just run the script.  The downside to this test is that if you would
run (as opposed to source) the script from a login script, you may see
the flash and logout.
When when I source the script under ash 0.4.18 (Debian), the test
works:
    $ set -x
    $ . ./lilypond-profile
    + . ./lilypond-profile
    + [ -n  ]
    + basename ash
    + [ ash = lilypond-profile ]
etc.  While your patch will most probably not break anything, I'd like
to understand why it is needed.
Jan.
-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond - The music typesetter
http://www.xs4all.nl/~jantien       | http://www.lilypond.org
Date: Mon, 13 Oct 2003 19:09:22 +0200
Message-ID: <[email-masked]>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/